import { YoLinkPlatformAccessory } from './platformAccessory';
export declare const deviceFeatures: {
    Unknown: {
        hasBattery: boolean;
        experimental: boolean;
    };
    Hub: {
        hasBattery: boolean;
    };
    SpeakerHub: {
        hasBattery: boolean;
    };
    VibrationSensor: {
        hasBattery: boolean;
    };
    MotionSensor: {
        hasBattery: boolean;
    };
    LeakSensor: {
        hasBattery: boolean;
    };
    Manipulator: {
        hasBattery: boolean;
    };
    THSensor: {
        hasBattery: boolean;
    };
    DoorSensor: {
        hasBattery: boolean;
    };
    Siren: {
        hasBattery: boolean;
    };
    Switch: {
        hasBattery: boolean;
    };
    Outlet: {
        hasBattery: boolean;
    };
    SmartRemoter: {
        hasBattery: boolean;
    };
    MultiOutlet: {
        hasBattery: boolean;
    };
    GarageDoor: {
        hasBattery: boolean;
    };
    Finger: {
        hasBattery: boolean;
    };
    GarageDoorCombo: {
        hasBattery: boolean;
    };
    Lock: {
        hasBattery: boolean;
    };
    PowerFailureAlarm: {
        hasBattery: boolean;
    };
};
export declare const initDeviceService: {
    Unknown(this: YoLinkPlatformAccessory): void;
    Hub(this: YoLinkPlatformAccessory): void;
    SpeakerHub(this: YoLinkPlatformAccessory): void;
    VibrationSensor(this: YoLinkPlatformAccessory): void;
    MotionSensor(this: YoLinkPlatformAccessory): void;
    LeakSensor(this: YoLinkPlatformAccessory): void;
    Manipulator(this: YoLinkPlatformAccessory): void;
    THSensor(this: YoLinkPlatformAccessory): void;
    DoorSensor(this: YoLinkPlatformAccessory): void;
    Siren(this: YoLinkPlatformAccessory): void;
    Switch(this: YoLinkPlatformAccessory): void;
    Outlet(this: YoLinkPlatformAccessory): void;
    SmartRemoter(this: YoLinkPlatformAccessory): void;
    MultiOutlet(this: YoLinkPlatformAccessory): void;
    GarageDoor(this: YoLinkPlatformAccessory): void;
    Finger(this: YoLinkPlatformAccessory): void;
    GarageDoorCombo(this: YoLinkPlatformAccessory): void;
    Lock(this: YoLinkPlatformAccessory): void;
    PowerFailureAlarm(this: YoLinkPlatformAccessory): void;
};
export declare const mqttHandler: {
    Unknown(this: YoLinkPlatformAccessory, data: any): void;
    Hub(this: YoLinkPlatformAccessory, data: any): void;
    SpeakerHub(this: YoLinkPlatformAccessory, data: any): void;
    VibrationSensor(this: YoLinkPlatformAccessory, data: any): void;
    MotionSensor(this: YoLinkPlatformAccessory, data: any): void;
    LeakSensor(this: YoLinkPlatformAccessory, data: any): void;
    Manipulator(this: YoLinkPlatformAccessory, data: any): void;
    THSensor(this: YoLinkPlatformAccessory, data: any): void;
    DoorSensor(this: YoLinkPlatformAccessory, data: any): void;
    Siren(this: YoLinkPlatformAccessory, data: any): void;
    Switch(this: YoLinkPlatformAccessory, data: any): void;
    Outlet(this: YoLinkPlatformAccessory, data: any): void;
    SmartRemoter(this: YoLinkPlatformAccessory, data: any): void;
    MultiOutlet(this: YoLinkPlatformAccessory, data: any): void;
    GarageDoor(this: YoLinkPlatformAccessory, data: any): void;
    Finger(this: YoLinkPlatformAccessory, data: any): void;
    GarageDoorCombo(this: YoLinkPlatformAccessory, data: any): void;
    Lock(this: YoLinkPlatformAccessory, data: any): void;
    PowerFailureAlarm(this: YoLinkPlatformAccessory, data: any): void;
};
//# sourceMappingURL=deviceHandlers.d.ts.map